Index: trunk/source/processes/electromagnetic/highenergy/src/G4GammaConversionToMuons.cc
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/src/G4GammaConversionToMuons.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/highenergy/src/G4GammaConversionToMuons.cc	(revision 1340)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GammaConversionToMuons.cc,v 1.7 2008/10/16 14:29:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4GammaConversionToMuons.cc,v 1.8 2010/10/26 14:15:40 vnivanch Exp $
+// GEANT4 tag $Name: emhighenergy-V09-03-02 $
 //
 //         ------------ G4GammaConversionToMuons physics process ------
@@ -53,4 +53,5 @@
 { 
   SetProcessSubType(15);
+  MeanFreePath = DBL_MAX;
 }
 
Index: trunk/source/processes/electromagnetic/highenergy/src/G4eeToHadronsModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/src/G4eeToHadronsModel.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/highenergy/src/G4eeToHadronsModel.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeToHadronsModel.cc,v 1.9 2008/07/10 18:06:39 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4eeToHadronsModel.cc,v 1.10 2010/10/26 14:15:40 vnivanch Exp $
+// GEANT4 tag $Name: emhighenergy-V09-03-02 $
 //
 // -------------------------------------------------------------------
@@ -76,4 +76,10 @@
 {
   theGamma = G4Gamma::Gamma();
+  highKinEnergy = HighEnergyLimit();
+  lowKinEnergy  = LowEnergyLimit();
+  emin = lowKinEnergy;
+  emax = highKinEnergy;
+  peakKinEnergy = highKinEnergy;
+  epeak = emax;
 }
 
@@ -92,5 +98,5 @@
                                     const G4DataVector&)
 {
-  if(isInitialised) return;
+  if(isInitialised) { return; }
   isInitialised  = true;
 
Index: trunk/source/processes/electromagnetic/highenergy/src/G4eeToHadronsMultiModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/src/G4eeToHadronsMultiModel.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/highenergy/src/G4eeToHadronsMultiModel.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeToHadronsMultiModel.cc,v 1.8 2009/04/12 17:48:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4eeToHadronsMultiModel.cc,v 1.9 2010/10/26 14:15:40 vnivanch Exp $
+// GEANT4 tag $Name: emhighenergy-V09-03-02 $
 //
 // -------------------------------------------------------------------
@@ -68,5 +68,8 @@
     verbose(ver),
     isInitialised(false)
-{}
+{
+  thKineticEnergy  = DBL_MAX;
+  maxKineticEnergy = 1.2*GeV;
+}
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
@@ -90,7 +93,4 @@
   if(!isInitialised) {
     isInitialised = true;
-
-    thKineticEnergy  = DBL_MAX;
-    maxKineticEnergy = 1.2*GeV;
 
     cross = new G4eeCrossSections();
Index: trunk/source/processes/electromagnetic/highenergy/src/G4hhIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/src/G4hhIonisation.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/highenergy/src/G4hhIonisation.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4hhIonisation.cc,v 1.10 2010/06/04 10:23:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4hhIonisation.cc,v 1.11 2010/10/26 14:15:40 vnivanch Exp $
+// GEANT4 tag $Name: emhighenergy-V09-03-02 $
 //
 // -------------------------------------------------------------------
@@ -102,11 +102,12 @@
                                                  const G4ParticleDefinition* bpart)
 {
-  if(isInitialised) return;
+  if(isInitialised) { return; }
 
   theParticle = part;
-  if(bpart) G4cout << "G4hhIonisation::InitialiseEnergyLossProcess WARNING: no "
-                   << "base particle should be defined for the process "
-		   << GetProcessName() << G4endl;
-
+  if(bpart) { 
+    G4cout << "G4hhIonisation::InitialiseEnergyLossProcess WARNING: no "
+	   << "base particle should be defined for the process "
+	   << GetProcessName() << G4endl; 
+  }
   SetBaseParticle(0);
   SetSecondaryParticle(G4Electron::Electron());
@@ -114,10 +115,10 @@
   mass  = theParticle->GetPDGMass();
   ratio = electron_mass_c2/mass;
-  eth = 2.0*MeV*mass/proton_mass_c2;
+  G4double eth = 2*MeV*mass/proton_mass_c2;
   flucModel = new G4BohrFluctuations();
 
   G4int nm = 1;
 
-  minKinEnergy = MinKinEnergy();
+  G4double minKinEnergy = MinKinEnergy();
 
   if(eth > minKinEnergy) {
Index: trunk/source/processes/electromagnetic/highenergy/src/G4mplIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/src/G4mplIonisation.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/highenergy/src/G4mplIonisation.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4mplIonisation.cc,v 1.10 2010/03/28 16:45:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4mplIonisation.cc,v 1.11 2010/10/26 15:40:03 vnivanch Exp $
+// GEANT4 tag $Name: emhighenergy-V09-03-02 $
 //
 // -------------------------------------------------------------------
@@ -49,4 +49,5 @@
 #include "G4Electron.hh"
 #include "G4mplIonisationModel.hh"
+#include "G4mplIonisationWithDeltaModel.hh"
 #include "G4BohrFluctuations.hh"
 
@@ -85,10 +86,11 @@
 						  const G4ParticleDefinition*)
 {
-  if(isInitialised) return;
+  if(isInitialised) { return; }
 
   SetBaseParticle(0);
   SetSecondaryParticle(G4Electron::Electron());
 
-  G4mplIonisationModel* ion  = new G4mplIonisationModel(magneticCharge,"PAI");
+  G4mplIonisationWithDeltaModel* ion = 
+    new G4mplIonisationWithDeltaModel(magneticCharge,"PAI");
   ion->SetLowEnergyLimit(MinKinEnergy());
   ion->SetHighEnergyLimit(MaxKinEnergy());
Index: trunk/source/processes/electromagnetic/highenergy/src/G4mplIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/src/G4mplIonisationModel.cc	(revision 1337)
+++ trunk/source/processes/electromagnetic/highenergy/src/G4mplIonisationModel.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4mplIonisationModel.cc,v 1.7 2009/04/12 17:35:41 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4mplIonisationModel.cc,v 1.8 2010/10/26 15:40:03 vnivanch Exp $
+// GEANT4 tag $Name: emhighenergy-V09-03-02 $
 //
 // -------------------------------------------------------------------
@@ -74,10 +74,11 @@
 {
   nmpl         = G4int(abs(magCharge) * 2 * fine_structure_const + 0.5);
-  if(nmpl > 6)      nmpl = 6;
-  else if(nmpl < 1) nmpl = 1;
+  if(nmpl > 6)      { nmpl = 6; }
+  else if(nmpl < 1) { nmpl = 1; }
   pi_hbarc2_over_mc2 = pi * hbarc * hbarc / electron_mass_c2;
   chargeSquare = magCharge * magCharge;
   dedxlim = 45.*nmpl*nmpl*GeV*cm2/g;
   fParticleChange = 0;
+  mass = 0.0;
 }
 
@@ -94,5 +95,5 @@
   monopole = p;
   mass     = monopole->GetPDGMass();
-  if(!fParticleChange) fParticleChange = GetParticleChangeForLoss();
+  if(!fParticleChange) { fParticleChange = GetParticleChangeForLoss(); }
 }
 
